Skip to main content
PUT
Typescript (SDK)

Authorizations

Syllable-API-Key
string
header
required

Path Parameters

channel_id
integer
required
target_id
integer
required

Body

application/json

Request model to update a channel target.

agent_id
integer
required

The internal ID of the agent associated with the channel target

Example:

1

channel_id
integer
required

The internal ID of the channel associated with the channel target

Example:

1

target
string
required

The name of the channel target. Must correspond to an organization-level target (available targets can be fetched from /channels/available-targets).

Example:

"+19995551234"

target_mode
enum<string>
required

The mode of the channel target (must match one of the supported modes of the associated channel)

Available options:
voice,
chat,
sms,
email,
whatsapp
Example:

"voice"

id
integer
required

The internal ID of the channel target

Example:

1

fallback_target
string | null

The fallback for the channel target (currently only supported for "voice" mode)

Example:

"+19995551235"

is_test
boolean
default:false

Whether the channel target is intended for testing. If true, any sessions created through this target will be labeled as a test session (i.e., will not be included in dashboard data and can easily be filtered out in the Sessions screen in the SyllableConsole).

Example:

true

Response

Successful Response

Response model for channel target operations. A channel target links a channel to an agent, allowing users to communicate with the agent through that channel. For more information, see Console docs.

agent_id
integer
required

The internal ID of the agent associated with the channel target

Example:

1

channel_id
integer
required

The internal ID of the channel associated with the channel target

Example:

1

target
string
required

The name of the channel target. Must correspond to an organization-level target (available targets can be fetched from /channels/available-targets).

Example:

"+19995551234"

target_mode
enum<string>
required

The mode of the channel target (must match one of the supported modes of the associated channel)

Available options:
voice,
chat,
sms,
email,
whatsapp
Example:

"voice"

id
integer
required

The internal ID of the channel target

Example:

1

channel_name
string
required

The name of the channel associated with the channel target

Example:

"+19995551234"

updated_at
string<date-time>
required

Timestamp of the most recent update to the channel target

Example:

"2024-01-01T00:00:00Z"

last_updated_by
string
required

Email of the user who last updated the channel target

Example:

"user@email.com"

fallback_target
string | null

The fallback for the channel target (currently only supported for "voice" mode)

Example:

"+19995551235"

is_test
boolean
default:false

Whether the channel target is intended for testing. If true, any sessions created through this target will be labeled as a test session (i.e., will not be included in dashboard data and can easily be filtered out in the Sessions screen in the SyllableConsole).

Example:

true

agent
AgentResponse · object | null

Definition of the agent with which the channel target is associated.

a2p_verified
boolean | null

Twilio US A2P messaging-path configuration snapshot from the last explicit verify; null if never checked.